/***************************************************************************
                          l1394resource.h  -  description
                             -------------------
    begin                : Fri Nov 3 2000
    copyright            : (C) 2000-2004 by Michael Repplinger
    email                : repplinger@cs.uni-sb.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef L1394RESOURCE_H
#define L1394RESOURCE_H

using namespace std;
// define the different node types (internal definition).
namespace L1394{


#define MAX_READ 10        //change if need
#define MAX_WRITE 10       //change if need
#define DELAY 80           //change if need


//define avc subunit types
#define SUBUNIT_VIDEO_MONITOR 0x00
#define SUBUNIT_DISC           0x03
#define SUBUNIT_TAPE           0x04
#define SUBUNIT_TUNER         0x05
#define SUBUNIT_VIDEO_CAMERA   0x07

enum DeviceType {_Camera = 0, _Vcr, _VideoMonitor, _Disc, _Tuner};
enum NodeType {_UnknownNode = 0, _Card, _FcpNode, _DccNode, _SBP2Node, _PhyNode};
enum EVENT{BUSRESET = 0, NODE_DESTROY, NODE_DISABLED, NODE_ENABLED};

//Begin AVC code

#define FCP_COMMAND_ADDR  0xFFFFF0000B00ULL
#define FCP_RESPONSE_ADDR 0xFFFFF0000D00ULL

//define avc command type
#define CONTROL 0x00
#define STATUS  0x01
#define SPECIFIC_INQUIRY 0x02
#define NOTIFY 0x03
#define GENERAL_INQUIRY 0x04

//define avc response code
#define NOT_IMPLEMENTED 0x08
#define ACCEPTED 0x09
#define REJECTED 0x0a
#define IN_TRANSACTION 0x0b
#define IMPLEMENTED 0x0c
#define CHANGED 0x0d
#define INTERIM 0x0f
//End AVC code

#define L1394_SUCCESS 1
#define L1394_FAILED -1

}
#endif

